Bug 597035 - Review Request: ibus-table-others - Various tables for IBus-Table
Review Request: ibus-table-others - Various tables for IBus-Table
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Naveen Kumar
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: 595551
  Show dependency treegraph
 
Reported: 2010-05-27 20:46 EDT by Caius Chance
Modified: 2010-07-28 08:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-28 08:18:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caius Chance 2010-05-27 20:46:41 EDT
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-others.spec
SRPM URL: http://kaio.fedorapeople.org/pkgs/ibus-table-others-1.3.0.20100528-1.fc13.src.rpm
Description: Various tables for IBus-Table
Comment 1 Naveen Kumar 2010-06-23 08:11:31 EDT
Here is a review using a template similar to tibbs:

- source files do not match upstream:  
2127051c38f4bbc2b8d1953c06a4189d6172f4eee689f37dad47e92391b861ed  ibus-table-others-1.3.0.20100528.tar.gz (Upstream)
63c5e2b1dfa30f729ef5efdea5775af13562b369588309671ab91ab5cc437fe6  ../ibus-table-others-1.3.0.20100528.tar.gz (SRPM)

+ package meets naming and versioning guidelines.

+ specfile is properly named, is cleanly written and uses macros consistently.

+ dist tag is present.

+ build root is correct.

+ license field matches the actual license. (Advice: make it GPLv3+)
+ license is open source-compatible: license text included in package.

+ latest version is being packaged.

+ BuildRequires are proper.

+ compiler flags are appropriate.

+ %clean is present.

+ package builds in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2267710

+ package installs properly.

- rpmlint is not silent.

[nkumar@localhost SPECS]$ rpmlint /home/nkumar/rpmbuild/SRPMS/ibus-table-others-1.3.0.20100528-1.fc13.src.rpm /home/nkumar/rpmbuild/RPMS/noarch/ibus-table-others-1.3.0.20100528-1.fc13.noarch.rpm
ibus-table-others.src: W: spelling-error %description -l en_US langauges -> languages
ibus-table-others.src: E: description-line-too-long C The package contains various tables for IBus-Table includes langauges of Latin-America, European, Southeast Asia, as well as symbols.
ibus-table-others.src:64: W: macro-in-comment %{_bindir}
ibus-table-others.src:68: W: macro-in-comment %find_lang
ibus-table-others.src:68: W: macro-in-comment %{name}
ibus-table-others.src: W: invalid-url Source0: http://ibus.googlecode.com/files/ibus-table-others-1.3.0.20100528.tar.gz HTTP Error 404: Not Found
ibus-table-others.noarch: W: spelling-error %description -l en_US langauges -> languages
ibus-table-others.noarch: E: description-line-too-long C The package contains various tables for IBus-Table includes langauges of Latin-America, European, Southeast Asia, as well as symbols.
2 packages and 0 specfiles checked; 2 errors, 6 warnings.


+ final provides and requires are sane:

[nkumar@localhost SPECS]$ rpm -qp --provides /home/nkumar/rpmbuild/RPMS/noarch/ibus-table-others-1.3.0.20100528-1.fc13.noarch.rpm
ibus-table-code = 1.3.9.20100528
ibus-table-cyrillic = 1.3.9.20100528
ibus-table-latin = 1.3.9.20100528
ibus-table-translit = 1.3.9.20100528
ibus-table-tv = 1.3.9.20100528
ibus-table-others = 1.3.0.20100528-1.fc13

[nkumar@localhost SPECS]$ rpm -qp --requires /home/nkumar/rpmbuild/RPMS/noarch/ibus-table-others-1.3.0.20100528-1.fc13.noarch.rpm
ibus-table >= 1.2.0.20090912
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadIsXz) <= 5.2-1

+ no shared libraries are added to the regular linker search paths.

+ owns the directories it creates.

+ doesn't own any directories it shouldn't.

+ no duplicates in %files.

+ file permissions are appropriate.

+ documentation is small, so no -docs subpackage is necessary.

+ %docs are not necessary for the proper functioning of the package.
Comment 2 Caius Chance 2010-07-28 08:18:00 EDT
Naveen acknowledged that he will resubmit review request for this package. I was instructed to close this ticket so Naveen could resubmit as reporter. Thanks.

Note You need to log in before you can comment on or make changes to this bug.